Package org.sunflow.system

# Class FileUtils

java.lang.Object
org.sunflow.system.FileUtils

public final class FileUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`FileUtils()`

## Method Summary

Modifier and Type
Method
Description
`static final String`
`getExtension(String filename)`
Extract the file extension from the specified filename.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileUtils

public FileUtils()

## Method Details

### getExtension

public static final String getExtension(String filename)
Extract the file extension from the specified filename.

Parameters:
  `filename` - filename to get the extension of
Returns:
  a string representing the file extension, or `null` if the filename doesn't have any extension, or is not a file